---------------------
PatchSet 4445 
Date: 2007/05/03 15:03:33
Author: amosjeffries
Branch: ayjwork
Tag: (none) 
Log:
done with configure options

Members: 
	src/ESI.cc:1.22.8.1->1.22.8.2 
	src/ESIAssign.cc:1.3.20.2->1.3.20.3 
	src/ESIAssign.h:1.3.20.2->1.3.20.3 
	src/ESICustomParser.cc:1.7.14.1->1.7.14.2 
	src/ESICustomParser.h:1.6->1.6.14.1 
	src/ESIVarState.cc:1.7.8.1->1.7.8.2 
	src/ESIVarState.h:1.2->1.2.24.1 
	src/PeerDigest.h:1.1->1.1.16.1 
	src/access_log.cc:1.41.4.5->1.41.4.6 
	src/peer_digest.cc:1.27.4.2->1.27.4.3 
	src/ICAP/ICAPConfig.cc:1.12.4.2->1.12.4.3 
	src/ICAP/ICAPModXact.cc:1.19.4.3->1.19.4.4 
	src/ICAP/ICAPModXact.h:1.6->1.6.4.1 
	src/ICAP/ICAPOptXact.cc:1.5.4.1->1.5.4.2 
	src/ICAP/ICAPServiceRep.cc:1.7.4.3->1.7.4.4 
	src/ICAP/ICAPXaction.cc:1.12.2.2->1.12.2.3 

Index: squid3/src/ESI.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESI.cc,v
retrieving revision 1.22.8.1
retrieving revision 1.22.8.2
diff -u -r1.22.8.1 -r1.22.8.2
--- squid3/src/ESI.cc	1 May 2007 12:50:23 -0000	1.22.8.1
+++ squid3/src/ESI.cc	3 May 2007 15:03:33 -0000	1.22.8.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESI.cc,v 1.22.8.1 2007/05/01 12:50:23 amosjeffries Exp $
+ * $Id: ESI.cc,v 1.22.8.2 2007/05/03 15:03:33 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -2450,7 +2450,7 @@
              */
             return 0;
 
-        if (strstr (sctusable->content.buf(), "ESI/1.0"))
+        if (strstr (sctusable->content.c_str(), "ESI/1.0"))
             rv = 1;
 
         httpHdrScTargetDestroy (sctusable);
Index: squid3/src/ESIAssign.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIAssign.cc,v
retrieving revision 1.3.20.2
retrieving revision 1.3.20.3
diff -u -r1.3.20.2 -r1.3.20.3
--- squid3/src/ESIAssign.cc	3 May 2007 10:05:07 -0000	1.3.20.2
+++ squid3/src/ESIAssign.cc	3 May 2007 15:03:33 -0000	1.3.20.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIAssign.cc,v 1.3.20.2 2007/05/03 10:05:07 amosjeffries Exp $
+ * $Id: ESIAssign.cc,v 1.3.20.3 2007/05/03 15:03:33 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -83,7 +83,7 @@
     variable = NULL;
 
     if (unevaluatedVariable.size()) {
-        varState->feedData(unevaluatedVariable.buf(), unevaluatedVariable.size());
+        varState->feedData(unevaluatedVariable.c_str(), unevaluatedVariable.size());
         char const *result = varState->extractChar ();
 
         /* Consider activating this, when we want to evaluate variables to a
Index: squid3/src/ESIAssign.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIAssign.h,v
retrieving revision 1.3.20.2
retrieving revision 1.3.20.3
diff -u -r1.3.20.2 -r1.3.20.3
--- squid3/src/ESIAssign.h	3 May 2007 10:05:07 -0000	1.3.20.2
+++ squid3/src/ESIAssign.h	3 May 2007 15:03:33 -0000	1.3.20.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIAssign.h,v 1.3.20.2 2007/05/03 10:05:07 amosjeffries Exp $
+ * $Id: ESIAssign.h,v 1.3.20.3 2007/05/03 15:03:33 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -53,7 +53,7 @@
     virtual void eval (ESIVarState &state, char const *, char const *) const;
 
 private:
-    String expression;
+    string expression;
 };
 
 /* ESIAssign */
Index: squid3/src/ESICustomParser.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESICustomParser.cc,v
retrieving revision 1.7.14.1
retrieving revision 1.7.14.2
diff -u -r1.7.14.1 -r1.7.14.2
--- squid3/src/ESICustomParser.cc	1 May 2007 12:50:23 -0000	1.7.14.1
+++ squid3/src/ESICustomParser.cc	3 May 2007 15:03:33 -0000	1.7.14.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESICustomParser.cc,v 1.7.14.1 2007/05/01 12:50:23 amosjeffries Exp $
+ * $Id: ESICustomParser.cc,v 1.7.14.2 2007/05/03 15:03:33 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -109,7 +109,7 @@
     }
 
     size_t openESITags (0);
-    char const *currentPos = content.buf();
+    char const *currentPos = content.c_str();
     size_t remainingCount = content.size();
     char const *tag = NULL;
 
@@ -302,7 +302,7 @@
 ESICustomParser::errorString() const
 {
     if (error.size())
-        return error.buf();
+        return error.c_str();
     else
         return "Parsing error strings not implemented";
 }
Index: squid3/src/ESICustomParser.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESICustomParser.h,v
retrieving revision 1.6
retrieving revision 1.6.14.1
diff -u -r1.6 -r1.6.14.1
--- squid3/src/ESICustomParser.h	4 Jul 2005 02:14:11 -0000	1.6
+++ squid3/src/ESICustomParser.h	3 May 2007 15:03:34 -0000	1.6.14.1
@@ -1,5 +1,5 @@
 /*
- * $Id: ESICustomParser.h,v 1.6 2005/07/04 02:14:11 squidadm Exp $
+ * $Id: ESICustomParser.h,v 1.6.14.1 2007/05/03 15:03:34 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -60,9 +60,9 @@
 
     char const *findTag(char const *a, size_t b);
     ESIParserClient *theClient;
-    String error;
+    string error;
     /* cheap n dirty - buffer it all */
-    String content;
+    string content;
     /* TODO: make a class of this type code */
     ESITAG_t lastTag;
 };
Index: squid3/src/ESIVarState.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIVarState.cc,v
retrieving revision 1.7.8.1
retrieving revision 1.7.8.2
diff -u -r1.7.8.1 -r1.7.8.2
--- squid3/src/ESIVarState.cc	1 May 2007 12:50:23 -0000	1.7.8.1
+++ squid3/src/ESIVarState.cc	3 May 2007 15:03:34 -0000	1.7.8.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIVarState.cc,v 1.7.8.1 2007/05/01 12:50:23 amosjeffries Exp $
+ * $Id: ESIVarState.cc,v 1.7.8.2 2007/05/03 15:03:34 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -318,9 +318,9 @@
 }
 
 void
-ESIVarState::removeVariable (String const &name)
+ESIVarState::removeVariable (string const &name)
 {
-    Variable *candidate = static_cast <Variable *>(variables.find (name.buf(), name.size()));
+    Variable *candidate = static_cast <Variable *>(variables.find (name.c_str(), name.size()));
 
     if (candidate) {
         /* XXX: remove me */
@@ -335,7 +335,7 @@
 void
 ESIVarState::addVariable(char const *name, size_t len, Variable *aVariable)
 {
-    String temp;
+    string temp;
     temp.limitInit (name, len);
     removeVariable (temp);
     variables.add(name, len, aVariable);
@@ -434,10 +434,10 @@
         if (!subref)
             s = state.header().getStr (HDR_COOKIE);
         else {
-            String S = state.header().getListMember (HDR_COOKIE, subref, ';');
+            string S = state.header().getListMember (HDR_COOKIE, subref, ';');
 
             if (S.size())
-                ESISegment::ListAppend (state.getOutput(), S.buf(), S.size());
+                ESISegment::ListAppend (state.getOutput(), S.c_str(), S.size());
             else if (found_default)
                 ESISegment::ListAppend (state.getOutput(), found_default, strlen (found_default));
         }
@@ -470,8 +470,8 @@
 
     if (state.header().has(HDR_ACCEPT_LANGUAGE)) {
         if (!subref) {
-            String S (state.header().getList (HDR_ACCEPT_LANGUAGE));
-            ESISegment::ListAppend (state.getOutput(), S.buf(), S.size());
+            string S (state.header().getList (HDR_ACCEPT_LANGUAGE));
+            ESISegment::ListAppend (state.getOutput(), S.c_str(), S.size());
         } else {
             if (state.header().hasListMember (HDR_ACCEPT_LANGUAGE, subref, ',')) {
                 s = "true";
@@ -885,9 +885,9 @@
     if (!tempstr[0])
         return;
 
-    String strVary (rep->header.getList (HDR_VARY));
+    string strVary (rep->header.getList (HDR_VARY));
 
-    if (!strVary.size() || strVary.buf()[0] != '*') {
+    if (!strVary.size() || *strVary.c_str() != '*') {
         rep->header.putStr (HDR_VARY, tempstr);
     }
 }
Index: squid3/src/ESIVarState.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIVarState.h,v
retrieving revision 1.2
retrieving revision 1.2.24.1
diff -u -r1.2 -r1.2.24.1
--- squid3/src/ESIVarState.h	5 Aug 2003 02:12:48 -0000	1.2
+++ squid3/src/ESIVarState.h	3 May 2007 15:03:34 -0000	1.2.24.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESIVarState.h,v 1.2 2003/08/05 02:12:48 squidadm Exp $
+ * $Id: ESIVarState.h,v 1.2.24.1 2007/05/03 15:03:34 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -64,7 +64,7 @@
 
     class Variable;
     void addVariable (char const *, size_t, Variable *);
-    void removeVariable (String const &);
+    void removeVariable (string const &);
 
     void *operator new (size_t byteCount);
     void operator delete (void *address);
Index: squid3/src/PeerDigest.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/PeerDigest.h,v
retrieving revision 1.1
retrieving revision 1.1.16.1
diff -u -r1.1 -r1.1.16.1
--- squid3/src/PeerDigest.h	21 Aug 2006 01:51:49 -0000	1.1
+++ squid3/src/PeerDigest.h	3 May 2007 15:03:34 -0000	1.1.16.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: PeerDigest.h,v 1.1 2006/08/21 01:51:49 squidadm Exp $
+ * $Id: PeerDigest.h,v 1.1.16.1 2007/05/03 15:03:34 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -97,7 +97,7 @@
 
     struct _peer *peer;			/* pointer back to peer structure, argh */
     CacheDigest *cd;		/* actual digest structure */
-    String host;		/* copy of peer->host */
+    string host;		/* copy of peer->host */
     const char *req_result;	/* text status of the last request */
 
     struct
Index: squid3/src/access_log.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/access_log.cc,v
retrieving revision 1.41.4.5
retrieving revision 1.41.4.6
diff -u -r1.41.4.5 -r1.41.4.6
--- squid3/src/access_log.cc	3 May 2007 10:05:11 -0000	1.41.4.5
+++ squid3/src/access_log.cc	3 May 2007 15:03:35 -0000	1.41.4.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: access_log.cc,v 1.41.4.5 2007/05/03 10:05:11 amosjeffries Exp $
+ * $Id: access_log.cc,v 1.41.4.6 2007/05/03 15:03:35 amosjeffries Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -1622,8 +1622,8 @@
 static void
 fvdbInit(void)
 {
-    via_table = hash_create((HASHCMP *) strcmp, 977, hash4);
-    forw_table = hash_create((HASHCMP *) strcmp, 977, hash4);
+    via_table = hash_create((HASHCMP *) std::strcmp, 977, hash4);
+    forw_table = hash_create((HASHCMP *) std::strcmp, 977, hash4);
 }
 
 static void
@@ -1708,10 +1708,10 @@
 {
     hashFreeItems(via_table, fvdbFreeEntry);
     hashFreeMemory(via_table);
-    via_table = hash_create((HASHCMP *) strcmp, 977, hash4);
+    via_table = hash_create((HASHCMP *) std::strcmp, 977, hash4);
     hashFreeItems(forw_table, fvdbFreeEntry);
     hashFreeMemory(forw_table);
-    forw_table = hash_create((HASHCMP *) strcmp, 977, hash4);
+    forw_table = hash_create((HASHCMP *) std::strcmp, 977, hash4);
 }
 
 #endif
Index: squid3/src/peer_digest.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/peer_digest.cc,v
retrieving revision 1.27.4.2
retrieving revision 1.27.4.3
diff -u -r1.27.4.2 -r1.27.4.3
--- squid3/src/peer_digest.cc	1 May 2007 12:50:29 -0000	1.27.4.2
+++ squid3/src/peer_digest.cc	3 May 2007 15:03:35 -0000	1.27.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: peer_digest.cc,v 1.27.4.2 2007/05/01 12:50:29 amosjeffries Exp $
+ * $Id: peer_digest.cc,v 1.27.4.3 2007/05/03 15:03:35 amosjeffries Exp $
  *
  * DEBUG: section 72    Peer Digest Routines
  * AUTHOR: Alex Rousskov
@@ -112,7 +112,7 @@
     if (pd->cd)
         cacheDigestDestroy(pd->cd);
 
-    pd->host.clean();
+    pd->host.clear();
 }
 
 CBDATA_CLASS_INIT(PeerDigest);
@@ -231,7 +231,7 @@
 {
     eventAdd("peerDigestCheck", peerDigestCheck, pd, (double) delay, 1);
     pd->times.next_check = squid_curtime + delay;
-    debugs(72, 3, "peerDigestSetCheck: will check peer " << pd->host.buf() << " in " << delay << " secs");
+    debugs(72, 3, "peerDigestSetCheck: will check peer " << pd->host << " in " << delay << " secs");
 }
 
 /*
@@ -241,10 +241,10 @@
 peerDigestNotePeerGone(PeerDigest * pd)
 {
     if (pd->flags.requested) {
-        debugs(72, 2, "peerDigest: peer " << pd->host.buf() << " gone, will destroy after fetch.");
+        debugs(72, 2, "peerDigest: peer " << pd->host << " gone, will destroy after fetch.");
         /* do nothing now, the fetching chain will notice and take action */
     } else {
-        debugs(72, 2, "peerDigest: peer " << pd->host.buf() << " is gone, destroying now.");
+        debugs(72, 2, "peerDigest: peer " << pd->host << " is gone, destroying now.");
         peerDigestDestroy(pd);
     }
 }
@@ -279,7 +279,7 @@
     /* per-peer limit */
 
     if (req_time - pd->times.received < PeerDigestReqMinGap) {
-        debugs(72, 2, "peerDigestCheck: " << pd->host.buf() <<
+        debugs(72, 2, "peerDigestCheck: " << pd->host <<
                ", avoiding close peer requests (" <<
                (int) (req_time - pd->times.received) << " < " <<
                (int) PeerDigestReqMinGap << " secs).");
@@ -289,7 +289,7 @@
 
     /* global limit */
     if (req_time - pd_last_req_time < GlobDigestReqMinGap) {
-        debugs(72, 2, "peerDigestCheck: " << pd->host.buf() <<
+        debugs(72, 2, "peerDigestCheck: " << pd->host <<
                ", avoiding close requests (" <<
                (int) (req_time - pd_last_req_time) << " < " <<
                (int) GlobDigestReqMinGap << " secs).");
@@ -546,7 +546,7 @@
         assert(reply);
         assert (reply->sline.status != 0);
         status = reply->sline.status;
-        debugs(72, 3, "peerDigestFetchReply: " << pd->host.buf() << " status: " << status << 
+        debugs(72, 3, "peerDigestFetchReply: " << pd->host << " status: " << status << 
                ", expires: " << (long int) reply->expires << " (" << std::showpos << 
                (int) (reply->expires - squid_curtime) << ")");
 
@@ -636,7 +636,7 @@
         assert (fetch->entry->getReply()->sline.status != 0);
 
         if (fetch->entry->getReply()->sline.status != HTTP_OK) {
-            debugs(72, 1, "peerDigestSwapInHeaders: " << fetch->pd->host.buf() <<
+            debugs(72, 1, "peerDigestSwapInHeaders: " << fetch->pd->host <<
                    " status " << fetch->entry->getReply()->sline.status <<
                    " got cached!");
 
@@ -764,7 +764,7 @@
 #endif
 
         else
-            host = pd->host.buf();
+            host = pd->host.c_str();
     }
 
     debugs(72, 6, step_name << ": peer " << host << ", offset: " <<
@@ -815,7 +815,7 @@
 peerDigestFetchStop(DigestFetchState * fetch, char *buf, const char *reason)
 {
     assert(reason);
-    debugs(72, 2, "peerDigestFetchStop: peer " << fetch->pd->host.buf() << ", reason: " << reason);
+    debugs(72, 2, "peerDigestFetchStop: peer " << fetch->pd->host << ", reason: " << reason);
     peerDigestReqFinish(fetch, buf, 1, 1, 1, reason, 0);
 }
 
@@ -824,7 +824,7 @@
 peerDigestFetchAbort(DigestFetchState * fetch, char *buf, const char *reason)
 {
     assert(reason);
-    debugs(72, 2, "peerDigestFetchAbort: peer " << fetch->pd->host.buf() << ", reason: " << reason);
+    debugs(72, 2, "peerDigestFetchAbort: peer " << fetch->pd->host << ", reason: " << reason);
     peerDigestReqFinish(fetch, buf, 1, 1, 1, reason, 1);
 }
 
@@ -874,7 +874,7 @@
 peerDigestPDFinish(DigestFetchState * fetch, int pcb_valid, int err)
 {
     PeerDigest *pd = fetch->pd;
-    const char *host = pd->host.buf();
+    const char *host = pd->host.c_str();
 
     pd->times.received = squid_curtime;
     pd->times.req_delay = fetch->resp_time;
@@ -988,7 +988,7 @@
 {
     StoreDigestCBlock cblock;
     int freed_size = 0;
-    const char *host = pd->host.buf();
+    const char *host = pd->host.c_str();
 
     xmemcpy(&cblock, buf, sizeof(cblock));
     /* network -> host conversions */
@@ -1082,7 +1082,7 @@
     const int bit_util = cacheDigestBitUtil(pd->cd);
 
     if (bit_util > 65) {
-        debugs(72, 0, "Warning: " << pd->host.buf() <<
+        debugs(72, 0, "Warning: " << pd->host <<
                " peer digest has too many bits on (" << bit_util << "%%).");
 
         return 0;
@@ -1108,7 +1108,7 @@
 
     assert(pd);
 
-    const char *host = pd->host.buf();
+    const char *host = pd->host.c_str();
     storeAppendPrintf(e, "\npeer digest from %s\n", host);
 
     cacheDigestGuessStatsReport(&pd->stats.guess, e, host);
Index: squid3/src/ICAP/ICAPConfig.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPConfig.cc,v
retrieving revision 1.12.4.2
retrieving revision 1.12.4.3
diff -u -r1.12.4.2 -r1.12.4.3
--- squid3/src/ICAP/ICAPConfig.cc	3 May 2007 13:37:07 -0000	1.12.4.2
+++ squid3/src/ICAP/ICAPConfig.cc	3 May 2007 15:03:35 -0000	1.12.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPConfig.cc,v 1.12.4.2 2007/05/03 13:37:07 amosjeffries Exp $
+ * $Id: ICAPConfig.cc,v 1.12.4.3 2007/05/03 15:03:35 amosjeffries Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -87,7 +87,7 @@
     wordlist *service_names = NULL;
     wordlist *iter;
 
-    ConfigParser::ParseString(&key);
+    ConfigParser::ParseString(key);
     ConfigParser::ParseWordList(&service_names);
 
     for (iter = service_names; iter; iter = iter->next) {
@@ -125,7 +125,7 @@
 
     candidateClasses.clean();
 
-    matchedClass.clean();
+    matchedClass.clear();
 
     acl_checklist = NULL;
 
@@ -159,7 +159,7 @@
         ICAPClass *c = *ci;
         ICAPServiceRep::Pointer service = findBestService(c, false);
         if (service != NULL) {
-            debugs(93, 3, "ICAPAccessCheck::check: class '" << c->key.buf() << "' has candidate service '" << service->key.buf() << "'");
+            debugs(93, 3, "ICAPAccessCheck::check: class '" << c->key << "' has candidate service '" << service->key << "'");
             candidateClasses += c->key;
         }
     }
@@ -193,7 +193,7 @@
      */
     debugs(93, 3, "ICAPAccessCheck::check: NO candidates or matches found");
 
-    matchedClass.clean();
+    matchedClass.clear();
 
     ICAPAccessCheckCallbackWrapper(1, this);
 
@@ -207,7 +207,7 @@
     ICAPAccessCheck *ac = (ICAPAccessCheck*)data;
 
     if (ac->matchedClass.size()) {
-        debugs(93, 5, "ICAPAccessCheckCallbackWrapper matchedClass = " << ac->matchedClass.buf());
+        debugs(93, 5, "ICAPAccessCheckCallbackWrapper matchedClass = " << ac->matchedClass);
     }
 
     if (!answer) {
@@ -241,7 +241,7 @@
     debugs(93, 3, "ICAPAccessCheck::do_callback");
 
     if (matchedClass.size()) {
-        debugs(93, 3, "ICAPAccessCheck::do_callback matchedClass = " << matchedClass.buf());
+        debugs(93, 3, "ICAPAccessCheck::do_callback matchedClass = " << matchedClass);
     }
 
     void *validated_cbdata;
@@ -351,8 +351,8 @@
 
     for (VI i = services.begin(); i != services.end(); ++i) {
         const ICAPServiceRep::Pointer &r = *i;
-        storeAppendPrintf(entry, "%s %s_%s %s %d %s\n", name, r->key.buf(),
-                          r->methodStr(), r->vectPointStr(), r->bypass, r->uri.buf());
+        storeAppendPrintf(entry, "%s %s_%s %s %d %s\n", name, r->key.c_str(),
+                          r->methodStr(), r->vectPointStr(), r->bypass, r->uri.c_str());
     }
 };
 
@@ -380,7 +380,7 @@
     Vector<ICAPClass*>::iterator i = classes.begin();
 
     while (i != classes.end()) {
-        storeAppendPrintf(entry, "%s %s\n", name, (*i)->key.buf());
+        storeAppendPrintf(entry, "%s %s\n", name, (*i)->key.c_str());
         ++i;
     }
 };
@@ -389,7 +389,7 @@
 ICAPConfig::parseICAPAccess(ConfigParser &parser)
 {
     string aKey;
-    ConfigParser::ParseString(&aKey);
+    ConfigParser::ParseString(aKey);
     ICAPClass *theClass = TheICAPConfig.findClass(aKey);
 
     if (theClass == NULL)
@@ -413,7 +413,7 @@
     Vector<ICAPClass*>::iterator i = classes.begin();
 
     while (i != classes.end()) {
-        snprintf(nom, 64, "%s %s", name, (*i)->key.buf());
+        snprintf(nom, 64, "%s %s", name, (*i)->key.c_str());
         dump_acl_access(entry, nom, (*i)->accessList);
         ++i;
     }
Index: squid3/src/ICAP/ICAPModXact.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPModXact.cc,v
retrieving revision 1.19.4.3
retrieving revision 1.19.4.4
diff -u -r1.19.4.3 -r1.19.4.4
--- squid3/src/ICAP/ICAPModXact.cc	3 May 2007 13:37:07 -0000	1.19.4.3
+++ squid3/src/ICAP/ICAPModXact.cc	3 May 2007 15:03:36 -0000	1.19.4.4
@@ -989,8 +989,8 @@
      * XXX These should use HttpHdr interfaces instead of Printfs
      */
     const ICAPServiceRep &s = service();
-    buf.Printf("%s %s ICAP/1.0\r\n", s.methodStr(), s.uri.buf());
-    buf.Printf("Host: %s:%d\r\n", s.host.buf(), s.port);
+    buf.Printf("%s %s ICAP/1.0\r\n", s.methodStr(), s.uri.c_str());
+    buf.Printf("Host: %s:%d\r\n", s.host.c_str(), s.port);
     buf.Printf("Date: %s\r\n", mkrfc1123(squid_curtime));
 
     if (!TheICAPConfig.reuse_connections)
Index: squid3/src/ICAP/ICAPModXact.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPModXact.h,v
retrieving revision 1.6
retrieving revision 1.6.4.1
diff -u -r1.6 -r1.6.4.1
--- squid3/src/ICAP/ICAPModXact.h	6 Apr 2007 05:52:43 -0000	1.6
+++ squid3/src/ICAP/ICAPModXact.h	3 May 2007 15:03:36 -0000	1.6.4.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPModXact.h,v 1.6 2007/04/06 05:52:43 squidadm Exp $
+ * $Id: ICAPModXact.h,v 1.6.4.1 2007/05/03 15:03:36 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -193,7 +193,7 @@
     void virginConsume();
     void finishNullOrEmptyBodyPreview(MemBuf &buf);
 
-    bool shouldPreview(const String &urlPath);
+    bool shouldPreview(const string &urlPath);
     bool shouldAllow204();
     void prepBackup(size_t expectedSize);
     void backup(const MemBuf &buf);
Index: squid3/src/ICAP/ICAPOptXact.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPOptXact.cc,v
retrieving revision 1.5.4.1
retrieving revision 1.5.4.2
diff -u -r1.5.4.1 -r1.5.4.2
--- squid3/src/ICAP/ICAPOptXact.cc	17 Apr 2007 11:37:35 -0000	1.5.4.1
+++ squid3/src/ICAP/ICAPOptXact.cc	3 May 2007 15:03:36 -0000	1.5.4.2
@@ -57,8 +57,8 @@
 void ICAPOptXact::makeRequest(MemBuf &buf)
 {
     const ICAPServiceRep &s = service();
-    buf.Printf("OPTIONS %s ICAP/1.0\r\n", s.uri.buf());
-    buf.Printf("Host: %s:%d\r\n", s.host.buf(), s.port);
+    buf.Printf("OPTIONS %s ICAP/1.0\r\n", s.uri.c_str());
+    buf.Printf("Host: %s:%d\r\n", s.host.c_str(), s.port);
     buf.append(ICAP::crlf, 2);
 }
 
Index: squid3/src/ICAP/ICAPServiceRep.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPServiceRep.cc,v
retrieving revision 1.7.4.3
retrieving revision 1.7.4.4
diff -u -r1.7.4.3 -r1.7.4.4
--- squid3/src/ICAP/ICAPServiceRep.cc	3 May 2007 13:37:08 -0000	1.7.4.3
+++ squid3/src/ICAP/ICAPServiceRep.cc	3 May 2007 15:03:37 -0000	1.7.4.4
@@ -79,10 +79,10 @@
 
     char *service_type = NULL;
 
-    ConfigParser::ParseString(&key);
+    ConfigParser::ParseString(key);
     ConfigParser::ParseString(&service_type);
     ConfigParser::ParseBool(&bypass);
-    ConfigParser::ParseString(&uri);
+    ConfigParser::ParseString(uri);
 
     debugs(3, 5, "ICAPService::parseConfigLine (line " << config_lineno << "): " << key << " " << service_type << " " << bypass);
 
Index: squid3/src/ICAP/ICAPXaction.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPXaction.cc,v
retrieving revision 1.12.2.2
retrieving revision 1.12.2.3
diff -u -r1.12.2.2 -r1.12.2.3
--- squid3/src/ICAP/ICAPXaction.cc	1 May 2007 12:50:31 -0000	1.12.2.2
+++ squid3/src/ICAP/ICAPXaction.cc	3 May 2007 15:03:37 -0000	1.12.2.3
@@ -104,7 +104,7 @@
 {
     const ICAPServiceRep &s = service();
     // TODO: check whether NULL domain is appropriate here
-    connection = icapPconnPool->pop(s.host.buf(), s.port, NULL, NULL);
+    connection = icapPconnPool->pop(s.host.c_str(), s.port, NULL, NULL);
 
     if (connection >= 0) {
         debugs(93,3, HERE << "reused pconn FD " << connection);
@@ -120,13 +120,13 @@
 
     if (connection < 0) {
         connection = comm_open(SOCK_STREAM, 0, getOutgoingAddr(NULL), 0,
-                               COMM_NONBLOCKING, s.uri.buf());
+                               COMM_NONBLOCKING, s.uri.c_str());
 
         if (connection < 0)
             dieOnConnectionFailure(); // throws
     }
 
-    debugs(93,3, typeName << " opens connection to " << s.host.buf() << ":" << s.port);
+    debugs(93,3, typeName << " opens connection to " << s.host << ":" << s.port);
 
     commSetTimeout(connection, Config.Timeout.connect,
                    &ICAPXaction_noteCommTimedout, this);
@@ -135,7 +135,7 @@
     comm_add_close_handler(connection, closer, this);
 
     connector = &ICAPXaction_noteCommConnected;
-    commConnectStart(connection, s.host.buf(), s.port, connector, this);
+    commConnectStart(connection, s.host.c_str(), s.port, connector, this);
 }
 
 /*
@@ -169,7 +169,7 @@
         if (reuseConnection) {
             debugs(93,3, HERE << "pushing pconn" << status());
             commSetTimeout(connection, -1, NULL, NULL);
-            icapPconnPool->push(connection, theService->host.buf(), theService->port, NULL, NULL);
+            icapPconnPool->push(connection, theService->host.c_str(), theService->port, NULL, NULL);
         } else {
             debugs(93,3, HERE << "closing pconn" << status());
             // comm_close will clear timeout
@@ -244,7 +244,7 @@
 
 void ICAPXaction::handleCommTimedout()
 {
-    debugs(93, 0, HERE << "ICAP FD " << connection << " timeout to " << theService->methodStr() << " " << theService->uri.buf());
+    debugs(93, 0, HERE << "ICAP FD " << connection << " timeout to " << theService->methodStr() << " " << theService->uri);
     reuseConnection = false;
     MemBuf mb;
     mb.init();
